
 interface Formas{

    boolean cuadraTexto();
}


class Circulo implements Formas{
    float area;
    float radio;
    String color;
    String letras;
    public Circulo(float radio,String color,String letras){
        this.radio=radio;    
        this.color=color;
        this.letras=letras;
    }
    public boolean cuadraTexto(){
        if(this.letras.length()<=this.radio){
            return true;
        }
        return false;
    }
}


class Rectangulo implements Formas{

        float largo;
        float ancho;
        float area;
        String color;
        String letras;
        public Rectangulo(float largo,float ancho,String color,String letras){
            this.largo=largo;
            this.ancho=ancho;
            this.color=color;
            this.letras=letras;
        }

        public boolean cuadraTexto(){
            if(this.letras.length()<=this.largo){
                return true;
            }
            return false;
        }
}



public class InterfacesDia3 {
    public static void main(String[] args) {

       
        Rectangulo cartelRectangulo=new Rectangulo(5,2,"ROJO","HOLA");
        System.out.println("Es la dimension correcta para la forma de un rectangulo?: "+cartelRectangulo.cuadraTexto());
        Circulo cartelCirculo=new Circulo(4, "ROJO", "PALABRA");
        System.out.println("Es la dimension correcta para la forma de un circulo?: "+cartelCirculo.cuadraTexto());
    }
}
